<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>FORM - Departement</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Departemen</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>Form</h4>
                            <div class="card-header-action">
                                <a th:href="@{/masters/department}" class="btn btn-info"><i class="fa fa-arrow-circle-left"></i> Back</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <form th:action="@{/masters/department/new}" th:object="${departemen}"  method="post">
                                        <div class="form-group">
                                            <label>Department Code</label>
                                            <input type="text" class="form-control" placeholder="example : AKD" th:field="*{kodeDepartemen}" required name="kodeDepartemen">
                                        </div>
                                        <div class="form-group">
                                            <label>Department Name</label>
                                            <input type="text" required class="form-control" th:field="*{namaDepartemen}" name="namaDepartemen">
                                        </div>
                                        <div class="form-group">
                                            <label>Keterangan</label>
                                            <input type="text" class="form-control" th:field="*{keterangan}" name="keterangan">
                                        </div>
                                        <div class="form-group">
                                            <label>ID Instansi</label>
                                            <select name="instansi" th:field="*{instansi}" class="form-control" id="">
                                                <option value="" selected disabled>-- select one --</option>
                                                <option th:each="data, row:${instansi}"
                                                        th:value="${data.id}"
                                                        th:text="${data.nama}"></option>
                                            </select>
                                        </div>
                                        <input type="hidden" name="id" th:field="*{id}">
                                        <div class="form-group">
                                            <button class="btn btn-primary">Save</button>
                                            <a th:href="@{/masters/department}" class="btn btn-danger">Cancel</a>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>